package com.demo1.board.domain;

import java.util.List;
import java.util.Optional;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.demo1.board.api.dto.BoardRequest;

import net.lotte.chamomile.module.database.mybatis.batch.BatchRequest;

@Mapper
public interface BoardMapper {
    Optional<Board> getBoardById(Long id);

    List<Board> getAllBoards();
    Page<Board> getPage(Pageable pageagle);
    int insertBoard(Board board);

    int updateBoard(Board board);

    int deleteBoard(Long id);
    void insertBulk(List<Board> list);
	void insertBulk(List<Board> list, BatchRequest batchRequest);
}
